Subject: Re: Compact view of history in gitk

From: Johannes Sixt <[email-masked]>
Date: Tue, 29 Sep 2009 14:07:42 +0200

Yakup Akbay schrieb:
> Think of the gitk version of the history below:
> 
>                  E-*-*-*-F
>                 /
> A-*-*-*-*-*-*-B-C-*-*-*-D
>               \
>                G-*-*-H-*-*-*-I
>                       \
>                        J-*-*-*-*-*-K
> 
> 
> I want an output like this:
> 
>        E-~-F
>       /
> A-~-B-C-~-D
>     \
>      G-~-H-~-I
>           \
>            J-~-K
> 
> Is there an option in gitk (or in any other tool) to get such a view?

I think, --simplify-by-decoration comes close, even though it may not be
100% what you describe.

-- Hannes